<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>My orders</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.2.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.1/css/dataTables.bootstrap5.min.css">
</head>
<body>

<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <h1>Order list</h1>
</div>
<div class="container-fluid pt-5">
    <table id="table" class="table">
        <thead>
        <tr>
            <th scope="col">Date create</th>
            <th scope="col">Location from</th>
            <th scope="col">Location to</th>
            <th scope="col">Price</th>
            <th scope="col">Vendor contact</th>
            <th scope="col">Status</th>
            <th scope="col">Complete order</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="order : ${orders}">
            <td th:text="${order.date}"></td>
            <td th:text="${order.incident.locFrom}"></td>
            <td th:text="${order.incident.locTo}"></td>
            <td th:text="${order.price + ' $'}"></td>
            <td><a th:href="@{'/user/' + ${order.vendor.id}}" ><span th:text="${order.vendor.name}"></span></a></td>
            <td th:text="${order.orderStatus}"></td>
            <td>
                <div th:if="${order.orderStatus.toString == 'IN_PROCESS'}">
                    <form th:method="POST" th:action="@{'/order/complete/' + ${order.id}}" th:object="${order}">
                        <input type="submit" value="Complete">
                    </form>
                </div>
            </td>
        </tr>
        </tbody>
    </table>
</div>
<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.1/js/dataTables.bootstrap5.min.js"></script>
<script src="/js/script.js"></script>
</body>
</html>